<?php

//カスタムヘッダー
add_custom_image_header('','admin_header_style');
function admin_header_style() {}
define('NO_HEADER_TEXT',true);
define('HEADER_IMAGE','%s/image/header_title.jpg');
define('HEADER_IMAGE_WIDTH',1050);
define('HEADER_IMAGE_HEIGHT',150);

//カスタムメニュー
register_nav_menus(array(
  'navigation' => 'ナビゲーションバー'
));

//ウィジェット
register_sidebar(array(
  'name' => '右サイドバー'
));

//WordPressのバージョン情報の出力を停止
remove_action('wp_head','wp_generator');

//RSSフィードの情報を出力
add_theme_support('automatic-feed-links');

//jQueryの設定を出力
add_action('wp_head', 'myScript', 1);
function myScript() {
  wp_enqueue_script('jquery');
}

//エディタ・スタイルシート
add_editor_style();

//ギャラリーのスタイルシートの出力を停止
add_filter('use_default_gallery_style', '__return_false');

//アイキャッチ画像
add_theme_support('post-thumbnails');
set_post_thumbnail_size(150, 150, true);
  
// 自動生成する画像サイズ
add_image_size('mini50', 50, 50, true);
add_image_size('mini100', 100, 100, true);  
add_image_size('mini700', 700, 700, true);  

//概要（抜粋）の省略記号
function my_excerpt_more($more) {
  return '…';
}
add_filter('excerpt_more', 'my_excerpt_more');

//概要（抜粋）の文字数
function my_excerpt_mblength($length) {
     return 90;
}
add_filter('excerpt_mblength', 'my_excerpt_mblength');

//カテゴリーの投稿数の表示位置調整
add_filter( 'wp_list_categories', 'my_list_categories', 10, 2 );
function my_list_categories( $output, $args ) {
  $output = preg_replace('/<\/a>\s*\((\d+)\)/',' ($1)</a>',$output);
  return $output;
} 






?>